Package org.apache.tapestry5.services

## Interface MarkupWriterFactory

- All Known Implementing Classes:
    `MarkupWriterFactoryImpl`

      public interface MarkupWriterFactory

  Source for `MarkupWriter` instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MarkupWriter` | `newMarkupWriter​(java.lang.String pageName)` | Obtains a markup writer that will render the content for the provided logical page name.
    `MarkupWriter` | `newMarkupWriter​(ContentType contentType)` | Deprecated. use `newMarkupWriter(Page)` instead which doesn't rely on the content type alone.
    `MarkupWriter` | `newMarkupWriter​(Page page)` | Obtains a markup writer that will render the content for the provided page.
    `MarkupWriter` | `newPartialMarkupWriter​(java.lang.String pageName)` | Obtains a markup writer that will render the content for the provided logical page name, configured for partial page rendering (i.e., for a response to an Ajax request).
    `MarkupWriter` | `newPartialMarkupWriter​(ContentType contentType)` | Deprecated. use `newPartialMarkupWriter(Page)` instead which doesn't rely on the content type alone.
    `MarkupWriter` | `newPartialMarkupWriter​(Page page)` | Obtains a markup writer that will render the content for the provided page, configured for partial page rendering (i.e., for a response to an Ajax request).

- - ### Method Detail

    - #### newMarkupWriter

          MarkupWriter newMarkupWriter​(ContentType contentType)

      Deprecated.
      use `newMarkupWriter(Page)` instead which doesn't rely on the content type alone.
      Creates a markup writer for a particular content type.
      Parameters:
        `contentType` - type of content generated by the markup write; used to control the type of `MarkupModel` used with the `Document` the backs the markup writer.

    - #### newPartialMarkupWriter

          MarkupWriter newPartialMarkupWriter​(ContentType contentType)

      Deprecated.
      use `newPartialMarkupWriter(Page)` instead which doesn't rely on the content type alone.
      Creates a markup writer for a particular content type, configured for partial page rendering (i.e., for a response to an Ajax request).
      Parameters:
        `contentType` - type of content generated by the markup write; used to control the type of `MarkupModel` used with the `Document` the backs the markup writer.

    - #### newMarkupWriter

          MarkupWriter newMarkupWriter​(java.lang.String pageName)

      Obtains a markup writer that will render the content for the provided logical page name. Convenience method for `newMarkupWriter(Page)`
      Parameters:
        `pageName` - logical page name
      Returns:
        writer configured for the page

    - #### newPartialMarkupWriter

          MarkupWriter newPartialMarkupWriter​(java.lang.String pageName)

      Obtains a markup writer that will render the content for the provided logical page name, configured for partial page rendering (i.e., for a response to an Ajax request). Convenience method for `newPartialMarkupWriter(Page)`
      Parameters:
        `pageName` - logical page name
      Returns:
        writer configured for the page
      Since:
        5.4

    - #### newMarkupWriter

          MarkupWriter newMarkupWriter​(Page page)

      Obtains a markup writer that will render the content for the provided page. Takes into account all necessary information such as the page's content type and doctype.
      Parameters:
        `page` - the page to obtain a writer for
      Returns:
        writer configured for the page
      Since:
        5.4

    - #### newPartialMarkupWriter

          MarkupWriter newPartialMarkupWriter​(Page page)

      Obtains a markup writer that will render the content for the provided page, configured for partial page rendering (i.e., for a response to an Ajax request). Takes into account all necessary information such as the page's content type and doctype.
      Parameters:
        `page` - the page to obtain a writer for
      Returns:
        writer configured for the page
      Since:
        5.4